Bug 1098717 - filters page 500 on search
Summary: filters page 500 on search
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-17 16:05 UTC by Tom McKay
Modified: 2016-12-12 12:56 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:27:23 UTC


Attachments (Terms of Use)
filters UI search working fine (110.12 KB, image/png)
2014-08-11 02:03 UTC, sthirugn@redhat.com
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 5777 None None None 2016-04-22 16:39 UTC

Description Tom McKay 2014-05-17 16:05:45 UTC
Tried searching for the word lifecycle on Filters UI page

ActiveRecord::UnknownAttributeError (Filter(id: integer, search: text, role_id: integer, created_at: datetime, updated_at: datetime, taxonomy_search: text) doesn't have column :limited.):
  app/controllers/filters_controller.rb:8:in `index'
  app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'
  lib/middleware/catch_json_parse_errors.rb:9:in `call'

Comment 1 Tom McKay 2014-05-17 16:05:47 UTC
Created from redmine issue http://projects.theforeman.org/issues/5777

Comment 4 jmagen@redhat.com 2014-06-19 08:45:09 UTC
https://github.com/theforeman/foreman/pull/1522

Comment 5 Bryan Kearney 2014-06-19 16:03:05 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5777 has been closed

Comment 8 sthirugn@redhat.com 2014-08-11 02:02:31 UTC
Verified. I am able to search successfully in filters UI page. (see screenshot)

Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 9 sthirugn@redhat.com 2014-08-11 02:03:01 UTC
Created attachment 925600 [details]
filters UI search working fine

Comment 10 sthirugn@redhat.com 2014-08-11 02:05:04 UTC
@Tom Mckay:
Since I didnt find much description in this bug, Can you please review Comment 8 and Comment 9 and confirm that this is what you expected to verify?

Comment 11 Bryan Kearney 2014-09-11 12:27:23 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.